# thread-config.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | LOG4CPLUS_BEGIN_SYNCHRONIZE_ON_MUTEX(mutex) {::log4cplus::thread::Guard _sync_guard_object(mutex);
#define | LOG4CPLUS_END_SYNCHRONIZE_ON_MUTEX }

## Detailed Description

Definition in file thread-config.h.

## Define Documentation

#define LOG4CPLUS_BEGIN_SYNCHRONIZE_ON_MUTEX | ( | mutex |  | ) | {::log4cplus::thread::Guard _sync_guard_object(mutex);

| Definition at line 101 of file thread-config.h.

#define LOG4CPLUS_END_SYNCHRONIZE_ON_MUTEX }

| Definition at line 107 of file thread-config.h.